// --------------------------------------------------------
// Copyright (c)
//
// contributions by Ansgar
//                  ansgar.radermacher@cea.fr
// maintained by    CEA LIST
//                  info-list@cea.fr

// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef ADDSERVERCOMPDEF_ADDSERVER_H
#define ADDSERVERCOMPDEF_ADDSERVER_H

/************************************************************
 AddServer class header
 ************************************************************/

#include "addServerCompdef/Pkg_addServerCompdef.h"

#include "rclcpp_lifecycle/lifecycle_node.hpp"
#include "simple_msgs/srv/add_service_def.hpp"

// Include from Include stereotype (header)
#include <rclcpp/rclcpp.hpp>

// End of Include stereotype (header)

namespace ros2Library {
namespace rclcpp {
class CallbackGroup;
}
}
namespace ros2Library {
namespace rclcpp {
class NodeOptions;
}
}
namespace ros2Library {
namespace rclcpp {
class Service;
}
}

namespace addServerCompdef {

/************************************************************/
/**
 * 
 */
class AddServer: public rclcpp_lifecycle::LifecycleNode {
public:

  /**
   * 
   */
  rclcpp::CallbackGroup::SharedPtr cbg_AddServer_;

  /**
   * 
   */
  rclcpp::Service<simple_msgs::srv::AddServiceDef>::SharedPtr addSvc_srv_;

  /**
   * 
   * @param options 
   */
  AddServer(rclcpp::NodeOptions /*in*/options);

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace addServerCompdef

/************************************************************
 End of AddServer class header
 ************************************************************/

#endif
